from datetime import datetime
from fastapi import APIRouter, Response

router = APIRouter()

@router.post("/server-time", status_code=200)
async def get_server_time():
    """
    Get the current server time
    """
    now = datetime.utcnow()
    return Response(content=f"Server time: {now.isoformat()}", media_type="text/plain")